Wikibase badges (tracking)
OpenPublic

Assigned To
None
Priority
High
Author
aude
Blocks
T70067: Tell in sitelink whether target is the "preferred" language for the topic/place of the article
T66457: refactor sitelinks structure to support badges
T4007: Tracking bug (tracking)
T70071: [Compact links] Prioritise interwikis to featured pages
Blocked By
T97014: Wikidata badges for Wikisource for validation status
T85721: Handle requests for customized client icons for badges
T98208: Widget to edit badges should use language fallback
T76151: JS error when choosing a badge-item that is a deleted item
T73684: Wikidata's badge icons are all blue (regression)
T71832: badge should be shown with label not ID in diff
T71758: diff with badges links to wrong URL
T70155: remove badges when changing the sitelink on the repo
T70152: Link badge icons to Special:SetSiteLink from the sitelink UI
T71536: Uncaught exception if a badge id does not exist
T69923: Badges on Special:SetSiteLink should be listed with label not only id
T69668: Display badges on repo
T64546: automatic edit summary for link changes mentions badges even if there is no badge change
T62717: Display article badges on client
T72687: Moving article on client removes badges
T72355: Badge styles not present for the Modern skin
T72332: add featured list badge
T72268: add quality article badge
T72209: Create a special page to query for badges
T65486: query for all available badges via API
T73887: Other projects sidebar should show badges if applicable
T65392: Add documentation of badgeItems setting
T65391: Unexpected non-MediaWiki exception encountered, of type "InvalidArgumentException" in Special:SetSiteLink Exception from line 78 of ChangeOpSiteLink.php
T63664: Special:SetSitelink should have a list of allowed badges
T58693: special page for setting sitelinks needs to allow setting of badges
T70183: Badges shown by SiteLinksView should have the label as title not only the id
T60990: Repo UI for article badges
Subscribers
Aklapper, Liuxinyu970226, Bugreporter and 20 others
Projects
Security
None
Reference
bz40810
Description

Hebrew Wikipedians would like if Wikidata supported some metadata about the sitelinks, particularly good and featured article status.

Currently there are templates in many wikipedias that add stars or symbols next to the interwiki link to indicate the corresponding article in that other language is a featured article.


Version: master
Severity: major
Whiteboard: u=dev c=story p=0
URL: https://meta.wikimedia.org/wiki/Wikidata/Development/Badges

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz40810.
aude created this task.Via LegacyOct 5 2012, 7:49 PM
Denny added a comment.Via ConduitOct 11 2012, 10:14 AM

If a volunteer picks this up, it would need some discussion before you start on that. We would explain how to go about for it.

Lydia_Pintscher added a comment.Via ConduitDec 12 2012, 1:39 PM
  • Bug 36735 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitFeb 24 2013, 6:58 PM

svenmanguard wrote:

If the discussion of which Denny speaks relates to community approval, I think we're well past that. This is something that both the local Wikidata and the broader WMF communiutues have asked for several times, and while there's no formal RfC (that I can find) there's been plenty of commentary (incl. support) and no opposition.

Legoktm added a comment.Via ConduitFeb 24 2013, 7:04 PM

(In reply to comment #3)

If the discussion of which Denny speaks relates to community approval

I believe Denny is referring to the technical implementation.

bzimport added a comment.Via ConduitMay 7 2013, 6:47 PM

vatsala.dorairajan wrote:

Hi I am willing to volunteer to take on this. Denny, Can we connect via IRC to talk about how to implement this?

bzimport added a project: Wikidata.org.Via ConduitNov 22 2014, 1:03 AM
Aklapper added a comment.Via ConduitMay 8 2013, 10:46 AM

Vatsala: Just try Wikidata.org on Freenode IRC in European office hours.

bzimport added a comment.Via ConduitMay 9 2013, 2:24 PM

vatsala.dorairajan wrote:

Andre/Denny - I was there today - Will be there tomorrow and day after as well.

Lydia_Pintscher added a comment.Via ConduitMay 13 2013, 11:24 AM

Did you manage to talk to Denny? If not please ping him (Denny_WMDE) and/or me (Lydia_WMDE) on freenode in the channel Wikidata.org. It'd be great to have someone working on this.

bzimport added a comment.Via ConduitMay 13 2013, 10:18 PM

vatsala.dorairajan wrote:

Hi Lydia, I havent been able to speak to Denny. I shall come online at the next opportunity. For this week(till Saturday) does US tine zone work for you? I live in India, but currently I am at a client's place for an assignment. Let me check the european time difference and will let you know when I can be on irc next.

bzimport added a comment.Via ConduitMay 13 2013, 10:26 PM

vatsala.dorairajan wrote:

Alternatively,
Let me if around 4.30 pm European timezone works for you.
Vatsala
(In reply to comment #9)

Hi Lydia, I havent been able to speak to Denny. I shall come online at the
next opportunity. For this week(till Saturday) does US tine zone work for
you?
I live in India, but currently I am at a client's place for an assignment.
Let
me check the european time difference and will let you know when I can be on
irc next.

Denny added a comment.Via ConduitMay 14 2013, 3:05 PM

Vatsala, also feel free to Email me at denny.vrandecic@wikimedia.de

Basically what I want to say is:

  • the way how sitelinks are saved already allows it to be extended from { 'site' : 'enwiki', 'title' : 'Berlin' }

to
{ 'site' : 'enwiki', 'title' : 'Berlin', 'badge' : ['FA'] }

(I am not completely sure on the exact names of the fields)

So, what needs to happen is:

  • extend the structure of sitelinks in the above way (suggestion: use an array of things, so we can have orthogonal 'badges' like 'FA', 'stub', etc.)
  • extend the API to edit badges
  • extend the UI to display badges
  • extend the UI to edit badges
  • extend the client to display badges

I hope this helps.

bzimport added a comment.Via ConduitMay 16 2013, 2:24 AM

vatsala.dorairajan wrote:

Hi Denny

Thanks for this. This helps. I will take a look at this and come back again by Monday Tuesday.

bzimport added a comment.Via ConduitJun 3 2013, 11:32 AM

linneawp wrote:

(In reply to comment #12)

Thanks for this. This helps. I will take a look at this and come back again
by
Monday Tuesday.

Hi. Are you still working on this?

jeblad added a comment.Via ConduitJun 9 2013, 1:33 PM

I think this should be implemented like qualifiers (or like source but I don't think we need grouping) for each sitelink. Only implementing badges doesn't make sense. If implemented like link attributes badges would be a property with an item datatype, and it would link to items for FA or similar quality descriptions.

jeblad added a comment.Via ConduitJun 9 2013, 1:45 PM

That is, we don't need grouping within each sitelink, but we obviously need grouping for each sitelink.

gerritbot added a comment.Via ConduitJul 9 2013, 1:59 PM

Change 72725 had a related patch set uploaded by Michał Łazowik:
(bug 40810) Extend SimpleSiteLink by badges.

https://gerrit.wikimedia.org/r/72725

gerritbot added a comment.Via ConduitJul 9 2013, 9:45 PM

Change 72842 had a related patch set uploaded by Michał Łazowik:
(bug 40810) Extend SiteLink by badges.

https://gerrit.wikimedia.org/r/72842

gerritbot added a comment.Via ConduitJul 12 2013, 2:56 PM

Change 72725 merged by jenkins-bot:
(bug 40810) Extend SimpleSiteLink by badges.

https://gerrit.wikimedia.org/r/72725

gerritbot added a comment.Via ConduitJul 12 2013, 3:29 PM

Change 72842 abandoned by Michał Łazowik:
(bug 40810) Extend SiteLink by badges.

Reason:
Just learned this is deprecated...

https://gerrit.wikimedia.org/r/72842

bzimport added a comment.Via ConduitJul 12 2013, 9:01 PM

pinkampersand.wikimedia wrote:

Huh? Deprecated? Someone mind clueing-in those of us who are out of the loop?

Lazowik added a comment.Via ConduitJul 12 2013, 9:08 PM

That's the reason for abandoning some code. I added badges support to a class that is deprecated, so it's not needed. The current class is already modified, see comment 18. However this is only a small chunk of what is to be done.

gerritbot added a comment.Via ConduitJul 19 2013, 8:10 PM

Change 74676 had a related patch set uploaded by Michał Łazowik:
(bug 40810) Add badges support to Item

https://gerrit.wikimedia.org/r/74676

Lazowik added a comment.Via ConduitJul 20 2013, 4:45 PM

Should be there a set of allowed badges? If yes then should there be a interface to modify it?

Legoktm added a comment.Via ConduitJul 21 2013, 4:48 AM

(In reply to comment #23)

Should be there a set of allowed badges?

Yes.

If yes then should there be a
interface to modify it?

Maybe just allow any arbitrary item (a featured article would use [[d:Q16467]] or [[d:Q16465]] for example), or a have admins maintain a list of items in a MediaWiki: namespace page.

bzimport added a comment.Via ConduitJul 22 2013, 2:50 PM

pinkampersand.wikimedia wrote:

(In reply to comment #24)

(In reply to comment #23)
> Should be there a set of allowed badges?
Yes.

> If yes then should there be a
> interface to modify it?

Maybe just allow any arbitrary item (a featured article would use
[[d:Q16467]]
or [[d:Q16465]] for example), or a have admins maintain a list of items in a
MediaWiki: namespace page.

Would it be too radical to suggest a "Badge:" namespace? For starters, it'd be able to have its own content model, instead of some ugly MediaWiki: namespace hack.

bzimport added a comment.Via ConduitJul 22 2013, 7:48 PM

svenmanguard wrote:

(In reply to comment #25)

(In reply to comment #24)
> (In reply to comment #23)
> > Should be there a set of allowed badges?
> Yes.
>
> > If yes then should there be a
> > interface to modify it?
>
> Maybe just allow any arbitrary item (a featured article would use
> [[d:Q16467]]
> or [[d:Q16465]] for example), or a have admins maintain a list of items in a
> MediaWiki: namespace page.

Would it be too radical to suggest a "Badge:" namespace? For starters, it'd
be
able to have its own content model, instead of some ugly MediaWiki: namespace
hack.

A MediaWiki namespace hack would be much preferable to creating a new namespace. It's a much simpler option.

Magnus added a comment.Via ConduitAug 16 2013, 1:11 PM

Just skimmed this discussion, but why does that have to live in the site links? Property "Article batch", pointing to the Wikidata item for the badge page(s). Add a qualifier to indicate language(s) where the badge was given.

Maybe I'm missing some complication here?

bzimport added a comment.Via ConduitAug 16 2013, 1:26 PM

byrial wrote:

It will make most sense from a logical point of view to connect the badge directly to the site link so the badge is removed or moved together with the link. A badge isn't a property of an item itself, but of the page of the link.

bzimport added a comment.Via ConduitAug 19 2013, 9:22 AM

leno wrote:

Could this also be used to mark links to redirects?

bzimport added a comment.Via ConduitAug 19 2013, 1:22 PM

pyfisch wrote:

Yes, I think so.

gerritbot added a comment.Via ConduitAug 20 2013, 12:25 PM

Change 80000 had a related patch set uploaded by Michał Łazowik:
SimpleSiteLink: make badges poing to Items

https://gerrit.wikimedia.org/r/80000

gerritbot added a comment.Via ConduitAug 29 2013, 10:58 AM

Change 80000 merged by jenkins-bot:
SimpleSiteLink: make badges point to Items

https://gerrit.wikimedia.org/r/80000

gerritbot added a comment.Via ConduitAug 30 2013, 9:57 AM

Change 74676 merged by jenkins-bot:
(bug 40810) Add badges support to Item

https://gerrit.wikimedia.org/r/74676

gerritbot added a comment.Via ConduitAug 30 2013, 2:48 PM

Change 81934 had a related patch set uploaded by Michał Łazowik:
Extend api to get badges

https://gerrit.wikimedia.org/r/81934

gerritbot added a comment.Via ConduitSep 3 2013, 4:56 PM

Change 81934 merged by Jeroen De Dauw:
Extend api to support getting badges

https://gerrit.wikimedia.org/r/81934

Bene added a comment.Via ConduitNov 12 2013, 8:43 PM

This should be linked here, too: https://gerrit.wikimedia.org/r/#/c/82637/ (Extend API to support editing badges)

DarTar added a comment.Via ConduitJan 16 2014, 7:39 PM

I have a related use case that generalizes the GA/FA proposal aw well as the ArticleStatus proposal.

I would like to be able to annotate individual articles with:

(1) arbitrary article-level annotations, including but not limited to:

  • FA
  • GA
  • stub
  • Protection status
  • Article-level cleanup flags like {{refimprove}}, {{POV}}, {{notability}}

(2) add qualifiers to these annotations to specify the start time or time range and potentially a rev_id as a source for these statements

This would stretch the scope of the current notion of a badge but I'd like to hear if time qualifiers for badges are on the near horizon.

Having these annotations represented in a structured format on Wikidata would allow people (or applications) to run queries like: give me all French Wikipedia articles in chemistry that have been flagged within the last year as stubs or as missing references.

Bene added a comment.Via ConduitJan 17 2014, 6:27 PM

Hi Dario Taraborelli, at the moment a badge is only a simple item which thus can also only contain one piece of information. If I understand your idea right, you want to have badges as a kind of statement system which works same as the statements of an item. I think this requires some thinking how useful this would be and especially how this could be implemented in the ui. Also I think this isn't so high priority. Because your approach goes wide beyond the current implementation a new bug would perhaps be the way to go.

Mattflaschen added a comment.Via ConduitJan 18 2014, 5:56 PM

(In reply to comment #39)

Hi Dario Taraborelli, at the moment a badge is only a simple item which thus
can also only contain one piece of information. If I understand your idea
right, you want to have badges as a kind of statement system which works same
as the statements of an item.

Right. I agree that to have the kind of flexibility we need, sitelinks likely need to be able to have statements. E.g. in addition to real-world statements about a real-world object https://www.wikidata.org/wiki/Q2 (Earth), there need to be statements about the "English Wikipedia article on Earth".

Mattflaschen added a comment.Via ConduitJan 18 2014, 6:00 PM

(In reply to comment #40)

Right. I agree that to have the kind of flexibility we need, sitelinks
likely need to be able to have statements.

To be clear, I mean this flexibility is probably required if Wikidata is to be a full representation of status items like Dario mentioned (protection, cleanup, etc.). This is relevant to GettingStarted, which uses such "needs cleanup" data.

In the meantime, we have ideas for more incremental approaches that do not require such a new statement system.

Lydia_Pintscher added a comment.Via ConduitJan 19 2014, 11:41 AM

I discussed this in-person with SWalling on Friday.
Wikidata will be able to attach badges to articles. This will cover things like "this article needs copy-editing" and so on. It will only be on a page basis and not more granular. It will also not have more than a badge - so no qualifiers or anything like that for badges.
This is enough for Getting Started per our discussion.

Bene added a comment.Via ConduitJan 19 2014, 12:57 PM

After discussion on IRC we decided that badges can only be some items which are specified in the config, together with an icon. This is because once it only makes sense to have some kinds of items available that might also be badges and additionally we need an icon to be displayed on Wikipedia which can not be provided by a single item.

Thus there will be a config variable containing a set of items + icons that are allowed to be used as badges.

gerritbot added a comment.Via ConduitJan 19 2014, 5:59 PM

Change 108337 had a related patch set uploaded by Bene:
Reduce badges to items listed in config

https://gerrit.wikimedia.org/r/108337

gerritbot added a comment.Via ConduitJan 29 2014, 12:45 PM

Change 108337 merged by Addshore:
Reduce badges to items listed in config

https://gerrit.wikimedia.org/r/108337

Bene added a comment.Via ConduitFeb 1 2014, 12:42 PM

We still need to discuss how the badges should work in general. At the development plan [1] it says "Each sitelink can have zero or one badge attached to it." This does not match the current implementation which allows multiple badges. So the implementation needs to be changed to only supporting one badge.

However, if we decide to keep the option of multiple badges we face some other problems. First, the ui gets harder to be implemented on Wikidata. This is not a real problem though. But a real problem is that we cannot determine which badge we want to display on the client. The only option I see to solve this issue is either to create another config variable (very ugly) or to only allow one badge as stated in the development plan anyway.

[1] https://www.wikidata.org/wiki/Wikidata:Development_plan

bzimport added a comment.Via ConduitFeb 4 2014, 5:31 AM

swalling wrote:

(In reply to comment #46)

We still need to discuss how the badges should work in general. At the
development plan [1] it says "Each sitelink can have zero or one badge
attached
to it." This does not match the current implementation which allows multiple
badges. So the implementation needs to be changed to only supporting one
badge.

However, if we decide to keep the option of multiple badges we face some
other
problems. First, the ui gets harder to be implemented on Wikidata. This is
not
a real problem though. But a real problem is that we cannot determine which
badge we want to display on the client. The only option I see to solve this
issue is either to create another config variable (very ugly) or to only
allow
one badge as stated in the development plan anyway.

[1] https://www.wikidata.org/wiki/Wikidata:Development_plan

I would really really like to have support for multiple badges.

Can we just whitelist certain badges for display? Start with Featured and Good Article, and if someone wants a badge displayed they can request it. Most of the other badges people have mention seem to be the kind that we won't want displayed on site links, etc.

Ricordisamoa added a comment.Via ConduitFeb 6 2014, 1:32 PM

I believe that data items are not the right place to host 'badges', basically because the quality rating does *not* belong to the sitelink, but to the wiki article itself.

Badges should be on the client-side (Wikipedia for featured articles, Commons for featured pictures, etc.) so allowing to rate every pages, including those without a connected Wikidata item (think also to non-WMF wikis that don't have a data repo).

I think of an extension that would allow sysops and 'quality rating administrators' to edit quality status of pages; then such badges would be displayed in the 'Other languages' section, when linked from another language version.

He7d3r added a comment.Via ConduitFeb 6 2014, 4:45 PM

(In reply to comment #48)

...
I think of an extension that would allow sysops and 'quality rating
administrators' to edit quality status of pages; then such badges would be
displayed in the 'Other languages' section, when linked from another language
version.

That looks like FlaggedRevs to me.

Micru added a comment.Via ConduitMar 4 2014, 9:35 PM

Another use case for badges: Importance rating
https://en.wikipedia.org/wiki/Wikipedia:Wikipedia_1.0#Statistics

It was suggested as a property, but badges could handle it better:
https://www.wikidata.org/wiki/Wikidata:Property_proposal/Generic#Wikipedia_Importance

Micru added a comment.Via ConduitMar 7 2014, 6:02 PM

And yet another use case: Wikiproject scope
https://www.wikidata.org/wiki/Wikidata:Property_proposal/Sister_projects#WikiProjects

Currently that information is stored on talk pages (together with importance rating and quality assessment)

Nemo_bis added a comment.Via ConduitJul 15 2014, 6:50 PM

I've updated what's the current plan to my understanding: https://www.wikidata.org/wiki/Wikidata:Development_plan#Badges

gerritbot added a comment.Via ConduitJul 28 2014, 6:22 PM

Change 149918 had a related patch set uploaded by Bene:
Add good and featured badges to config

https://gerrit.wikimedia.org/r/149918

gerritbot added a comment.Via ConduitJul 28 2014, 7:09 PM

Change 149928 had a related patch set uploaded by Bene:
Add good and featured article badges to testwikidata

https://gerrit.wikimedia.org/r/149928

gerritbot added a comment.Via ConduitAug 14 2014, 11:20 PM

Change 149928 merged by jenkins-bot:
Add good and featured article badges to testwikidata

https://gerrit.wikimedia.org/r/149928

gerritbot added a comment.Via ConduitAug 19 2014, 7:14 PM

Change 149918 merged by jenkins-bot:
Add good and featured badges to config

https://gerrit.wikimedia.org/r/149918

matej_suchanek added a subscriber: matej_suchanek.Via WebNov 24 2014, 2:40 PM
Magnus removed a subscriber: Magnus.Via WebNov 24 2014, 4:54 PM
Liuxinyu970226 added a subscriber: Liuxinyu970226.Via WebNov 27 2014, 7:27 AM
Lydia_Pintscher added a project: Wikidata.Via WebDec 1 2014, 2:23 PM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher closed this task as "Resolved".Via WebDec 15 2014, 2:11 PM
Lydia_Pintscher claimed this task.
Liuxinyu970226 removed a subscriber: Liuxinyu970226.Via WebDec 15 2014, 2:18 PM
matej_suchanek removed a subscriber: matej_suchanek.Via WebDec 15 2014, 2:19 PM
Sjoerddebruin removed a subscriber: Sjoerddebruin.Via WebDec 15 2014, 3:13 PM
Bugreporter reopened this task as "Open".Via WebMay 9 2015, 10:44 AM
Bugreporter added a subscriber: Bugreporter.

This bug should be opened as a tracking bug as long as there're open bugs blocks it. Some of them are somewhat important such as T72209: Create a special page to query for badges.

Liuxinyu970226 added a subscriber: Liuxinyu970226.Via WebMay 9 2015, 11:21 AM
Lydia_Pintscher placed this task up for grabs.Via WebMay 9 2015, 5:19 PM
Lydia_Pintscher removed a project: Need-volunteer.
Lydia_Pintscher set Security to None.
JanZerebecki moved this task to backlog on the Wikidata workboard.Via WebThu, Jul 23, 9:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptVia HeraldThu, Jul 23, 9:43 PM

Add Comment